/*Overwrite All Buttons Width in this component, default is 100px on style.css*/
.actionButton{width: 150px;}
/*This is to add not aoowed cursor when Add New Rule Button is disabled*/
.btn-outline-warning:hover:disabled {
    cursor: not-allowed;
}
/*Add Outermost border to the Rule List Grid-Table*/
.e-grid {
    border: 1px solid rgb(224, 224, 224);
}
/*//////////////////////////////////////*/
/*Dotted Bottom Border for the Disabled Dropdowns*/
.e-input-group:not(.e-success):not(.e-warning):not(.e-error):not(.e-float-icon-left).e-disabled {   
    background-size: 3px 2px;
}
/*Control Highlight*/
.error-control-highlight .e-input-group.e-control-wrapper.e-outline{
    border: 1px solid orangered !important;
    border-radius: 4px;
    box-shadow: inset 1px 1px orangered, inset -1px 0 orangered, inset 0 -1px orangered !important;
}
/*Tooltip Highlight*/
.error-info-highlight
{
    color:orangered
}
/*Control Width*/
.custom-ddl span[role=listbox]{width: 250px !important;height: 38px;padding: 0 0 35px 5px;font-size: 12px;}
.custom-ddl div.e-multiselect{width: 250px !important;height: 38px;padding: 0 0 35px 5px;font-size: 12px;}

.e-popup.e-popup-open.e-dialog {
    max-height: 100vh !important;
    height: 100vh !important;
    width: 50%;
}